org.apache.http.impl.client.cache

## Class AsynchronousValidationRequest

- java.lang.Object
- - org.apache.http.impl.client.cache.AsynchronousValidationRequest

All Implemented Interfaces:
  Runnable

    public class AsynchronousValidationRequest
    extends Object
    implements Runnable

Class used to represent an asynchronous revalidation event, such as with "stale-while-revalidate"

### Method Summary

Methods
`int` `getConsecutiveFailedAttempts()` The number of consecutively failed revalidation attempts.
`String` `getIdentifier()`
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

#### getIdentifier

    public String getIdentifier()

#### getConsecutiveFailedAttempts

    public int getConsecutiveFailedAttempts()

The number of consecutively failed revalidation attempts.

Returns:
  the number of consecutively failed revalidation attempts.